libzypp: zyppng::ProcessPrivate Class Reference

libzypp 17.38.6

zyppng::ProcessPrivate Class Reference
Inheritance diagram for zyppng::ProcessPrivate:

## Public Member Functions
| ProcessPrivate (Process &p)
void | cleanup ()
Public Member Functions inherited from zyppng::AsyncDataSourcePrivate
| AsyncDataSourcePrivate (AsyncDataSource &pub)
void | notifierActivated (const SocketNotifier &notify, int evTypes)
void | readyRead (uint channel)
void | readyWrite ()
void | closeWriteChannel (AsyncDataSource::ChannelCloseReason reason)
void | closeReadChannel (uint channel, AsyncDataSource::ChannelCloseReason reason)
Public Member Functions inherited from zyppng::IODevicePrivate
| IODevicePrivate (IODevice &p)
Public Member Functions inherited from zyppng::BasePrivate
| BasePrivate (Base &b)
virtual | ~BasePrivate ()
virtual void | init ()

## Public Attributes
std::unique_ptr< AbstractSpawnEngine > | _spawnEngine = AbstractSpawnEngine::createDefaultEngine()
zypp::AutoFD | _stdinFd = -1
zypp::AutoFD | _stderrFd = -1
zypp::AutoFD | _stdoutFd = -1
Signal< void()> | _sigStarted
MemSignal< Process, void(int)> | _sigFinished
Signal< void()> | _sigFailedToStart
Process::OutputChannelMode | _channelMode = Process::Seperate
Process::OutputChannel | _currentChannel = Process::StdOut
Public Attributes inherited from zyppng::AsyncDataSourcePrivate
std::vector< ReadChannelDev > | _readFds
SocketNotifier::Ptr | _writeNotifier
IOBuffer | _writeBuffer
int | _writeFd = -1
Signal< void(AsyncDataSource::ChannelCloseReason)> | _sigWriteFdClosed
Signal< void(uint, AsyncDataSource::ChannelCloseReason)> | _sigReadFdClosed
Public Attributes inherited from zyppng::IODevicePrivate
std::vector< IOBuffer > | _readChannels
uint | _currentReadChannel = 0
int64_t | _readBufChunkSize = DefIoDeviceBufChunkSize
IODevice::OpenMode | _mode = IODevice::Closed
Signal< void() > | _readyRead
Signal< void(uint) > | _channelReadyRead
Signal< void(int64_t)> | _sigBytesWritten
Signal< void()> | _sigAllBytesWritten
Signal< void(uint) > | _sigReadChannelFinished
Public Attributes inherited from zyppng::BasePrivate
Base::WeakPtr | parent
std::unordered_set< Base::Ptr > | children
std::unordered_map< uint32_t, zypp::AutoDispose< void * > > | _data
Base * | z_ptr = nullptr
std::thread::id | threadId = std::this_thread::get_id()

## Detailed Description

Todo
  We will receive a started signal here before exec was called, so sigStarted actually just signals that the fork has worked out but NOT that the app actually started

Definition at line 16 of file process.cpp.

## Constructor & Destructor Documentation

## ◆ ProcessPrivate()

zyppng::ProcessPrivate::ProcessPrivate | ( | Process & | p | ) |
| inline

Definition at line 19 of file process.cpp.

## Member Function Documentation

## ◆ cleanup()

void zyppng::ProcessPrivate::cleanup | ( |  | ) |
| inline

Definition at line 24 of file process.cpp.

## Member Data Documentation

## ◆ _spawnEngine

std::unique_ptr<AbstractSpawnEngine> zyppng::ProcessPrivate::_spawnEngine = AbstractSpawnEngine::createDefaultEngine()

Definition at line 30 of file process.cpp.

## ◆ _stdinFd

zypp::AutoFD zyppng::ProcessPrivate::_stdinFd = -1

Definition at line 31 of file process.cpp.

## ◆ _stderrFd

zypp::AutoFD zyppng::ProcessPrivate::_stderrFd = -1

Definition at line 32 of file process.cpp.

## ◆ _stdoutFd

zypp::AutoFD zyppng::ProcessPrivate::_stdoutFd = -1

Definition at line 33 of file process.cpp.

## ◆ _sigStarted

Signal<void ()> zyppng::ProcessPrivate::_sigStarted

Definition at line 34 of file process.cpp.

## ◆ _sigFinished

MemSignal<Process, void ( int )> zyppng::ProcessPrivate::_sigFinished

Definition at line 35 of file process.cpp.

## ◆ _sigFailedToStart

Signal<void ()> zyppng::ProcessPrivate::_sigFailedToStart

Definition at line 36 of file process.cpp.

## ◆ _channelMode

Process::OutputChannelMode zyppng::ProcessPrivate::_channelMode = Process::Seperate

Definition at line 38 of file process.cpp.

## ◆ _currentChannel

Process::OutputChannel zyppng::ProcessPrivate::_currentChannel = Process::StdOut

Definition at line 39 of file process.cpp.

The documentation for this class was generated from the following file:

- zypp-core/ng/io/process.cpp